Skip to main content
GET
Get assessments (V1)

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

assessment_group_id
integer

Filter by assessment group ID

Response

Assessments retrieved successfully

id
string
required

ID of the assessment

Example:

"foobar-123"

name
string
required
Example:

"Customer portal"

codename
string
required
Example:

"ACMEALPHA"

category
string
required

Type of the assessment

Example:

"Web Application"

active
boolean
required

Whether the assessment is open for testing

created_at
string<date-time>
required
tag_ids
integer[]
required
authentication_self_registration_enabled
boolean
required

Whether researchers may register their own accounts for authenticated testing

description
string | null
details
string | null
rules
string | null

Rules of engagement of the assessment

updates
object[]

Updates posted to the researchers